## souphttpclientsink

souphttpclientsink

## Properties

gboolean | automatic-redirect | Read / Write
GStrv | cookies | Read / Write
gchar * | location | Read / Write
gchar * | proxy | Read / Write
gchar * | proxy-id | Read / Write
gchar * | proxy-pw | Read / Write
SoupSession * | session | Read / Write
gchar * | user-agent | Read / Write
gchar * | user-id | Read / Write
gchar * | user-pw | Read / Write
SoupLoggerLogLevel | http-log-level | Read / Write
gint | retries | Read / Write
gint | retry-delay | Read / Write

## Types and Values

struct | GstSoupHttpClientSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstSoupHttpClientSink

## Description

## Synopsis

### Element Information

plugin | soup
author | David Schleef <ds@entropywave.com>
class | Generic

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstSoupHttpClientSink

    struct GstSoupHttpClientSink;

## Property Details

### The `“automatic-redirect”` property

      “automatic-redirect”       gboolean

Automatically follow HTTP redirects (HTTP Status Code 3xx).

Owner: GstSoupHttpClientSink

Flags: Read / Write

Default value: TRUE

### The `“cookies”` property

      “cookies”                  GStrv

HTTP request cookies.

Owner: GstSoupHttpClientSink

Flags: Read / Write

### The `“location”` property

      “location”                 gchar *

URI to send to.

Owner: GstSoupHttpClientSink

Flags: Read / Write

Default value: ""

### The `“proxy”` property

      “proxy”                    gchar *

HTTP proxy server URI.

Owner: GstSoupHttpClientSink

Flags: Read / Write

Default value: ""

### The `“proxy-id”` property

      “proxy-id”                 gchar *

user id for proxy authentication.

Owner: GstSoupHttpClientSink

Flags: Read / Write

Default value: ""

### The `“proxy-pw”` property

      “proxy-pw”                 gchar *

user password for proxy authentication.

Owner: GstSoupHttpClientSink

Flags: Read / Write

Default value: ""

### The `“session”` property

      “session”                  SoupSession *

SoupSession object to use for communication.

Owner: GstSoupHttpClientSink

Flags: Read / Write

### The `“user-agent”` property

      “user-agent”               gchar *

Value of the User-Agent HTTP request header field.

Owner: GstSoupHttpClientSink

Flags: Read / Write

Default value: "GStreamer souphttpclientsink "

### The `“user-id”` property

      “user-id”                  gchar *

user id for authentication.

Owner: GstSoupHttpClientSink

Flags: Read / Write

Default value: ""

### The `“user-pw”` property

      “user-pw”                  gchar *

user password for authentication.

Owner: GstSoupHttpClientSink

Flags: Read / Write

Default value: ""

### The `“http-log-level”` property

      “http-log-level”           SoupLoggerLogLevel

Set log level for soup's HTTP session log.

Owner: GstSoupHttpClientSink

Flags: Read / Write

Default value: SOUP_LOGGER_LOG_NONE

### The `“retries”` property

      “retries”                  gint

Maximum number of retries, zero to disable, -1 to retry forever.

Owner: GstSoupHttpClientSink

Flags: Read / Write

Allowed values: >= G_MAXULONG

Default value: 0

### The `“retry-delay”` property

      “retry-delay”              gint

Delay in seconds between retries after a failure.

Owner: GstSoupHttpClientSink

Flags: Read / Write

Allowed values: >= 1

Default value: 5